package org.stuartgunter.rep.formatters;

import javax.annotation.concurrent.Immutable;

/**
 * This class represents an HTML {@code <meta>} tag, providing getters for name and content.
 *
 * Instances of this class are immutable.
 *
 * @author Stuart Gunter
 */
@Immutable
public class MetaTag {

    private final String name;
    private final String content;

    public MetaTag(String name, String content) {
        this.name = name;
        this.content = content;
    }

    public String getName() {
        return name;
    }

    public String getContent() {
        return content;
    }
}
