package org.stuartgunter.rep.formatters;

import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;

import static com.google.common.base.Preconditions.checkArgument;

/**
 * @author Stuart Gunter
 */
@Component
public class RobotsHeaderFormatter {

    @Resource
    private RobotDirectivesFormatter directivesFormatter;

    public String format(RobotInfo robot) {
        checkArgument(!robot.getDirectives().isEmpty(), "No robot directives specified");

        StringBuilder headerValue = new StringBuilder();
        if (StringUtils.hasText(robot.getUserAgent())) {
            headerValue.append(robot.getUserAgent()).append(": ");
        }

        headerValue.append(directivesFormatter.format(robot));

        return headerValue.toString();
    }
}
