package org.stuartgunter.rep.formatters;

import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;

import static com.google.common.base.Preconditions.checkArgument;

/**
 * @author Stuart Gunter
 */
@Component
public class RobotsMetaFormatter {

    public static final String DEFAULT_META_NAME = "robots";

    @Resource
    private RobotDirectivesFormatter directivesFormatter;

    public MetaTag format(RobotInfo robot) {
        checkArgument(!robot.getDirectives().isEmpty(), "No robot directives specified");

        final String metaName = StringUtils.hasText(robot.getUserAgent()) ? robot.getUserAgent() : DEFAULT_META_NAME;

        return new MetaTag(metaName, directivesFormatter.format(robot));
    }
}
